# spec file for package gentoo (Version 0.15.6)
#
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:	A light-weight, two-window file manager based on GTK+
Name:		gentoo	
Version:	0.19.9
Release:	1.pm.1.1
License:	GPL v2
Group:		Productivity/File utilities
URL:		http://www.obsession.se/gentoo
#		ftp://ftp.obsession.se/gentoo/
Source:		%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Source100:	%{name}.changes
#Patch0:		%{name}-0.15.6-fix_deprecated_GTK_macros.patch
BuildRequires:	gtk2-devel pango-devel atk-devel cairo-devel glib2-devel freetype2-devel libpng-devel fdupes
BuildRoot:	%{_tmppath}/%{name}-%{version}
Autoreqprov:	on

%description
Gentoo is a modern, powerful, flexible, and utterly configurable
file manager for UNIX systems, written using the GTK+ toolkit.
It aims to be 100% graphically configurable; there's no need to
edit config files by hand and then restart the application.
gentoo is somewhat inspired in its look & feel by the classic
Amiga program DirectoryOpus.

Features:

Some of gentoo's main features include: 
- Reasonably small and fast (written in C).
- Direct graphical configuration of most main features.
- A powerful file recognition system that allows you to configure how files of different 
  types are listed (what colors and icons), and what happens when you doubleclick them 
  (start image viewers, music players, etc).
- Includes more than 120 original pixmap icons.
- Native support for most file operations (copy, move, rename, makedir etc).
- Free Software, licensed under the GNU General Public License.

Author:

-----------------

		Emil Brink <emil@obsession.se>



%prep
%setup -q

#%if 0%{?suse_version} >= 1130
#%patch0 -p0
#%endif

%build
autoreconf -fiv
%configure

export AM_CFLAGS="$RPM_OPT_FLAGS $AM_CFLAGS"

make %{?jobs:-j %jobs}

%install

make DESTDIR=$RPM_BUILD_ROOT install
install -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop
install -D -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/pixmaps/%{name}.png

%find_lang %{name}

%fdupes %{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc docs/* BUGS CONFIG-CHANGES CREDITS README* AUTHORS ChangeLog ABOUT* NEWS TODO COPYING
%config(noreplace) %{_sysconfdir}/gentoogtkrc
%config(noreplace) %{_sysconfdir}/gentoorc
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
#%dir %{_datadir}/locale/ja_JP.UTF-8
#%dir %{_datadir}/locale/ja_JP.UTF-8/LC_MESSAGES
#%dir %{_datadir}/locale/ru_RU.CP1251
#%dir %{_datadir}/locale/ru_RU.CP1251/LC_MESSAGES
#%dir %{_datadir}/locale/ru_RU.KOI8-R
#%dir %{_datadir}/locale/ru_RU.KOI8-R/LC_MESSAGES
#%dir %{_datadir}/locale/ru_RU.UTF-8
#%dir %{_datadir}/locale/ru_RU.UTF-8/LC_MESSAGES
#%dir %{_datadir}/locale/ru_RU.cp1251
#%dir %{_datadir}/locale/ru_RU.cp1251/LC_MESSAGES
#%dir %{_datadir}/locale/ru_RU.koi8r
#%dir %{_datadir}/locale/ru_RU.koi8r/LC_MESSAGES
#%dir %{_datadir}/locale/ru_RU.utf8
#%dir %{_datadir}/locale/ru_RU.utf8/LC_MESSAGES
%{_datadir}/%{name}/icons/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Mar 12 2011 detlef@links2linux.de - 0.19.9
- updated to 0.19.9
* Wed Jul 21 2010 packman@links2linux.de - 0.15.6
- fixed build for openSUSE 11.3
  patch adapted from debian sid upstream
* Thu Jul 16 2009 AxelKoellhofer@web.de
- updated to 0.15.6
- fixed including of RPM_OPT_FLGAS
* Thu Jun  4 2009 AxelKoellhofer@web.de
- updated to 0.15.5
* Wed Feb 25 2009 AxelKoellhofer@web.de
- initial package, version 0.15.4
